#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/db/include/metadata.h>
#include <maps/libs/chrono/include/time_point.h>
#include <maps/libs/pgpool/include/pgpool3.h>

namespace maps::mrc::import_taxi {

struct Metadata {
    chrono::TimePoint lastRunTimestamp;
    db::TId maxProcessedEventId;
};

void updateMetadata(pgpool3::Pool& pool, db::TId maxProcessedEventId);

Metadata getMetadata(pgpool3::Pool& pool);

chrono::TimePoint toTimePoint(double seconds);

} // namespace maps::mrc::import_taxi
